# ApplicationFramework
TKLCAF
TDF

# TDF_IndexedMapNodeOfAttributeIndexedMap Class Reference

`#include <TDF_IndexedMapNodeOfAttributeIndexedMap.hxx>`

## Public Member Functions

| TDF_IndexedMapNodeOfAttributeIndexedMap (const Handle(TDF_Attribute)&K1, const Standard_Integer K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Handle_TDF_Attribute & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TDF_Attribute | myKey1
Standard_Integer | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

TDF_IndexedMapNodeOfAttributeIndexedMap::TDF_IndexedMapNodeOfAttributeIndexedMap | ( | const Handle(TDF_Attribute)& | K1,
|  | const Standard_Integer | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const TDF_IndexedMapNodeOfAttributeIndexedMap::Handle | ( | Standard_Type |  | ) | const

Handle_TDF_Attribute& TDF_IndexedMapNodeOfAttributeIndexedMap::Key1 | ( |  | ) | const

Standard_Integer& TDF_IndexedMapNodeOfAttributeIndexedMap::Key2 | ( |  | ) | const

TCollection_MapNodePtr& TDF_IndexedMapNodeOfAttributeIndexedMap::Next2 | ( |  | ) | const

## Field Documentation

Handle_TDF_Attribute TDF_IndexedMapNodeOfAttributeIndexedMap::myKey1`[private]`

Standard_Integer TDF_IndexedMapNodeOfAttributeIndexedMap::myKey2`[private]`

TCollection_MapNodePtr TDF_IndexedMapNodeOfAttributeIndexedMap::myNext2`[private]`

The documentation for this class was generated from the following file:

- TDF_IndexedMapNodeOfAttributeIndexedMap.hxx